import React from 'react';
import { SelectOption } from '@highlight-ui/select';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { TagInputProps } from './TagInput';
export declare type TagPickerProps<T> = PropsWithMetadata<{
    /** List of options which should be shown in the dropdown */
    options: T[];
    /** Allows providing a custom class name to the Select */
    className?: string;
} & Pick<TagInputProps, 'tags' | 'onTagRemove' | 'onTagAdd' | 'onInputChange' | 'suffix'>>;
declare function TagPickerWithRef<T extends SelectOption>({ tags, onInputChange, onTagAdd, onTagRemove, options, className, metadata, suffix, }: TagPickerProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
declare namespace TagPickerWithRef {
    var displayName: string;
}
declare const TagPicker: <T extends SelectOption>(props: {
    /** List of options which should be shown in the dropdown */
    options: T[];
    /** Allows providing a custom class name to the Select */
    className?: string | undefined;
} & Pick<TagInputProps, "suffix" | "tags" | "onTagRemove" | "onTagAdd" | "onInputChange"> & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    ref?: React.Ref<HTMLDivElement> | undefined;
}) => ReturnType<typeof TagPickerWithRef>;
export default TagPicker;
